Create WhatsApp signup URL

Create a short-lived URL for WhatsApp Embedded Signup. Embed connectUrl in an iframe for the user to complete connection.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <API_KEY>, where API_KEY is your API key.

Path parameters

workspaceIdstringRequired
Workspace to connect to WhatsApp.

Headers

X-Account-IdstringRequired
Account that owns the workspace.

Response

A single-use signup URL and its expiration.

tokenstring

Single-use token included in connectUrl. You normally do not need to use it separately.

expiresAtstringformat: "date-time"
When the signup URL expires. Create a new URL after this time.
connectUrlstring
URL to load in an iframe to start WhatsApp Embedded Signup.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error